Bug 62063 - mod_authnz_ldap.html#reqattribute - wrong quoting in examples
Summary: mod_authnz_ldap.html#reqattribute - wrong quoting in examples
Status: CLOSED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 2.4.29
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: HTTP Server Documentation List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-30 15:50 UTC by Hendrik Harms
Modified: 2018-12-03 10:34 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hendrik Harms 2018-01-30 15:50:15 UTC
Both examples in the section mod_authnz_ldap.html#reqattribute do not work cause of wrong quoting. The attributename is not allowed to be quoted. If you do so you would get the error LDAP_NO_SUCH_ATTRIBUTE.
The required value could be quoted. 

wrong: 
> Require ldap-attribute "employeeType=active"
> Require ldap-attribute city="San Jose" "status=active"

correct:
  Require ldap-attribute employeeType="active"
  Require ldap-attribute city="San Jose" status="active"
  Require ldap-attribute objectClass=person
Comment 1 Rich Bowen 2018-02-07 13:44:59 UTC
Thanks. Patch applied in trunk and 2.4
Comment 2 Hendrik Harms 2018-02-10 13:35:23 UTC
Pardon - but I have to reopen this. 

Only the second example was fixed. The first one is still 
wrong:
   Require ldap-attribute "employeeType=active"

correct:
   Require ldap-attribute employeeType="active"

No quote before the attributename. Only the value is allowed to be surrounded by quotes optionally - the attributename isn't.
Comment 3 Rich Bowen 2018-02-13 14:54:41 UTC
Thanks. Fixed again, and credit given.
Comment 4 Hendrik Harms 2018-02-15 09:46:57 UTC
Thanks - verified: https://httpd.apache.org/docs/2.4/mod/mod_authnz_ldap.html#reqattribute